Eclipse Platform Release 3.7

## org.eclipse.ui.forms
Interface IMessagePrefixProvider

    public interface IMessagePrefixProvider

This interface computes the prefix of a message that is created in the context of a control. Since messages are rolled up to the header in the message manager, it is important to create a prefix to indicate the context of a message in the form. Typically the prefix is computed by looking at the label that preceeds the control, if present. Alternative providers may include other text to further specify the location of the message.

Since:
  3.3
See Also:
  `IMessageManager`, `IMessage`

Method Summary
`String` `getPrefix(Control control)` Returns the computed prefix for the provided control.

Method Detail

### getPrefix

    String getPrefix(Control control)

  Returns the computed prefix for the provided control.

  Parameters:
    `control` - the control to provide the prefix for
  Returns:
    the computed prefix

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.